# `OpenFAST_jll.jl` (v3.0.0+0)

[![deps](https://juliahub.com/docs/OpenFAST_jll/deps.svg)](https://juliahub.com/ui/Packages/OpenFAST_jll/pxVN0?page=2)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl). The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/f90e3667a81e3e9f0c087b2565fa7344a2fce3cf/O/OpenFAST/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.  If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://juliapackaging.github.io/BinaryBuilder.jl/dev/jll/).

## Sources

The tarballs for `OpenFAST_jll.jl` have been built from these sources:

* compressed archive: https://github.com/OpenFAST/openfast/archive/refs/tags/v3.0.0.tar.gz (SHA256 checksum: `9af57af054e4128b6e257a76da368dc4ad0c7fbb2b22d51fc7ea63cdf999c530`)
* files in directory, relative to originating `build_tarballs.jl`: [`./bundled`](https://github.com/JuliaPackaging/Yggdrasil/tree/f90e3667a81e3e9f0c087b2565fa7344a2fce3cf/O/OpenFAST/bundled)

## Platforms

`OpenFAST_jll.jl` is available for the following platforms:

* `Linux aarch64 {libc=glibc, libgfortran_version=3.0.0}` (`aarch64-linux-gnu-libgfortran3`)
* `Linux aarch64 {libc=glibc, libgfortran_version=4.0.0}` (`aarch64-linux-gnu-libgfortran4`)
* `Linux aarch64 {libc=glibc, libgfortran_version=5.0.0}` (`aarch64-linux-gnu-libgfortran5`)
* `Linux i686 {libc=glibc, libgfortran_version=3.0.0}` (`i686-linux-gnu-libgfortran3`)
* `Linux i686 {libc=glibc, libgfortran_version=4.0.0}` (`i686-linux-gnu-libgfortran4`)
* `Linux i686 {libc=glibc, libgfortran_version=5.0.0}` (`i686-linux-gnu-libgfortran5`)
* `Linux i686 {libc=musl, libgfortran_version=3.0.0}` (`i686-linux-musl-libgfortran3`)
* `Linux i686 {libc=musl, libgfortran_version=4.0.0}` (`i686-linux-musl-libgfortran4`)
* `Linux i686 {libc=musl, libgfortran_version=5.0.0}` (`i686-linux-musl-libgfortran5`)
* `Linux powerpc64le {libc=glibc, libgfortran_version=3.0.0}` (`powerpc64le-linux-gnu-libgfortran3`)
* `Linux powerpc64le {libc=glibc, libgfortran_version=4.0.0}` (`powerpc64le-linux-gnu-libgfortran4`)
* `Linux powerpc64le {libc=glibc, libgfortran_version=5.0.0}` (`powerpc64le-linux-gnu-libgfortran5`)
* `macOS x86_64 {libgfortran_version=3.0.0}` (`x86_64-apple-darwin-libgfortran3`)
* `macOS x86_64 {libgfortran_version=4.0.0}` (`x86_64-apple-darwin-libgfortran4`)
* `macOS x86_64 {libgfortran_version=5.0.0}` (`x86_64-apple-darwin-libgfortran5`)
* `Linux x86_64 {libc=glibc, libgfortran_version=3.0.0}` (`x86_64-linux-gnu-libgfortran3`)
* `Linux x86_64 {libc=glibc, libgfortran_version=4.0.0}` (`x86_64-linux-gnu-libgfortran4`)
* `Linux x86_64 {libc=glibc, libgfortran_version=5.0.0}` (`x86_64-linux-gnu-libgfortran5`)
* `Linux x86_64 {libc=musl, libgfortran_version=3.0.0}` (`x86_64-linux-musl-libgfortran3`)
* `Linux x86_64 {libc=musl, libgfortran_version=4.0.0}` (`x86_64-linux-musl-libgfortran4`)
* `Linux x86_64 {libc=musl, libgfortran_version=5.0.0}` (`x86_64-linux-musl-libgfortran5`)
* `FreeBSD x86_64 {libgfortran_version=3.0.0}` (`x86_64-unknown-freebsd-libgfortran3`)
* `FreeBSD x86_64 {libgfortran_version=4.0.0}` (`x86_64-unknown-freebsd-libgfortran4`)
* `FreeBSD x86_64 {libgfortran_version=5.0.0}` (`x86_64-unknown-freebsd-libgfortran5`)

## Dependencies

The following JLL packages are required by `OpenFAST_jll.jl`:

* [`CompilerSupportLibraries_jll`](https://github.com/JuliaBinaryWrappers/CompilerSupportLibraries_jll.jl)
* [`LAPACK_jll`](https://github.com/JuliaBinaryWrappers/LAPACK_jll.jl)
* [`OpenBLAS32_jll`](https://github.com/JuliaBinaryWrappers/OpenBLAS32_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `LibraryProduct`: `libaeroacoustics`
* `LibraryProduct`: `libaerodyn14lib`
* `LibraryProduct`: `libaerodynlib`
* `LibraryProduct`: `libafinfolib`
* `LibraryProduct`: `libawaelib`
* `LibraryProduct`: `libbeamdynlib`
* `LibraryProduct`: `libelastodynlib`
* `LibraryProduct`: `libextptfm_mckflib`
* `LibraryProduct`: `libfeamlib`
* `LibraryProduct`: `libfoamfastlib`
* `LibraryProduct`: `libfvwlib`
* `LibraryProduct`: `libhydrodynlib`
* `LibraryProduct`: `libicedynlib`
* `LibraryProduct`: `libicefloelib`
* `LibraryProduct`: `libifwlib`
* `LibraryProduct`: `libmapcpplib`
* `LibraryProduct`: `libmaplib`
* `LibraryProduct`: `libmoordynlib`
* `LibraryProduct`: `libnwtclibs`
* `LibraryProduct`: `libopenfast_postlib`
* `LibraryProduct`: `libopenfast_prelib`
* `LibraryProduct`: `libopenfastlib`
* `LibraryProduct`: `libopenfoamtypeslib`
* `LibraryProduct`: `liborcaflexlib`
* `LibraryProduct`: `libscdataexlib`
* `LibraryProduct`: `libscdataexttypeslib`
* `LibraryProduct`: `libscfastlib`
* `LibraryProduct`: `libsctypeslib`
* `LibraryProduct`: `libservodynlib`
* `LibraryProduct`: `libsubdynlib`
* `LibraryProduct`: `libuaaerolib`
* `LibraryProduct`: `libversioninfolib`
* `LibraryProduct`: `libwdlib`
* `ExecutableProduct`: `aerodyn_driver`
* `ExecutableProduct`: `beamdyn_driver`
* `ExecutableProduct`: `dwm_driver_wind_farm`
* `ExecutableProduct`: `feam_driver`
* `ExecutableProduct`: `hydrodyn_driver`
* `ExecutableProduct`: `inflowwind_driver`
* `ExecutableProduct`: `moordyn_driver`
* `ExecutableProduct`: `openfast`
* `ExecutableProduct`: `orca_driver`
* `ExecutableProduct`: `servodyn_driver`
* `ExecutableProduct`: `subdyn_driver`
* `ExecutableProduct`: `turbsim`
* `ExecutableProduct`: `unsteadyaero_driver`
